use HSPC::Application;
use HSPC::WebDB qw(is_column_exists select_run);
use POSIX ();

exit 0 unless(-e '/etc/hspc/hspc.conf');

HSPC::Application->new();
unless(is_column_exists(table => 'version', column => 'parent'))
{
		select_run("ALTER TABLE version ADD parent varchar(32)");
		select_run("ALTER TABLE version ADD finished tinyint(1) default 0");
		select_run("UPDATE version SET parent='common'");
		select_run("UPDATE version SET parent='' WHERE factory IN('common','core')");
		kill &POSIX::SIGHUP => getppid();
}
